org.eclipse.wst.jsdt.chromium.debug.core.model

## Class StackFrameBase

- java.lang.Object
- - PlatformObject
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl
    - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase
      - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase
        - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase
          - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluate
            - - org.eclipse.wst.jsdt.chromium.debug.core.model.StackFrameBase

Direct Known Subclasses:
  StackFrame

    public abstract class StackFrameBase
    extends DebugElementImpl.WithEvaluate

A common base class for all stack frames. Frames may be 'real' or 'fake', e.g. frame that represents throwing an exception.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`DebugElementImpl.WithConnected, DebugElementImpl.WithConnectedBase, DebugElementImpl.WithEvaluate, DebugElementImpl.WithEvaluateBase, DebugElementImpl.WithSuspended, DebugElementImpl.WithSuspendedBase`

### Constructor Summary

Constructors
Constructor and Description
`StackFrameBase(EvaluateContext evaluateContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canResume()`
`boolean` `canStepInto()`
`boolean` `canStepOver()`
`boolean` `canStepReturn()`
`boolean` `canSuspend()`
`boolean` `canTerminate()`
`boolean` `equals(java.lang.Object obj)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`IRegisterGroup[]` `getRegisterGroups()`
`JavascriptThread` `getThread()`
`int` `hashCode()`
`boolean` `hasRegisterGroups()`
`boolean` `isStepping()`
`boolean` `isSuspended()`
`boolean` `isTerminated()`
`void` `resume()`
`void` `stepInto()`
`void` `stepOver()`
`void` `stepReturn()`
`void` `suspend()`
`void` `terminate()`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluate

`getEvaluateContext`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase

`getSuspendedState`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase

`getConnectedData`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase

`getDebugTarget`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`getLaunch, getModelIdentifier`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StackFrameBase

    public StackFrameBase(EvaluateContext evaluateContext)

### Method Detail

#### getThread

    public JavascriptThread getThread()

#### canStepInto

    public boolean canStepInto()

#### canStepOver

    public boolean canStepOver()

#### canStepReturn

    public boolean canStepReturn()

#### isStepping

    public boolean isStepping()

#### stepInto

    public void stepInto()
                  throws DebugException

Throws:
  `DebugException`

#### stepOver

    public void stepOver()
                  throws DebugException

Throws:
  `DebugException`

#### stepReturn

    public void stepReturn()
                    throws DebugException

Throws:
  `DebugException`

#### canResume

    public boolean canResume()

#### canSuspend

    public boolean canSuspend()

#### isSuspended

    public boolean isSuspended()

#### resume

    public void resume()
                throws DebugException

Throws:
  `DebugException`

#### suspend

    public void suspend()
                 throws DebugException

Throws:
  `DebugException`

#### canTerminate

    public boolean canTerminate()

#### isTerminated

    public boolean isTerminated()

#### terminate

    public void terminate()
                   throws DebugException

Throws:
  `DebugException`

#### getRegisterGroups

    public IRegisterGroup[] getRegisterGroups()
                                       throws DebugException

Throws:
  `DebugException`

#### hasRegisterGroups

    public boolean hasRegisterGroups()
                              throws DebugException

Throws:
  `DebugException`

#### equals

    public boolean equals(java.lang.Object obj)

#### hashCode

    public int hashCode()

#### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

Overrides:
  `getAdapter` in class `DebugElementImpl`